PIXSTAT
1
BRL-CAD
BRL-CAD

# pixstat

list statistics related to a color pix image

      pixstat
        -v
        file.pix

## DESCRIPTION

Pixstat will take the given pix 5 format file, or read from standard in. A collection of statistics related to the pixel intensities is produced for each color plane (red, green, and blue). These include: The number of pixels (and the square root of this which is the file dimensions if square). The max and min values. The mean. The median (dividing line where half the pixels are above this value, half below). The mode (most frequently occurring value) and the number of pixels at this value. The variance, standard deviation, and skew.

The `-v` flag will also dump a histogram of the pixel values.

## METHOD

Since the pixel values are quantized (each color having discrete values from 0 to 255), the statistics can be computed from "lump sums" after building a histogram of the input. This results in a fantastic savings in computation while also making a single pass over the input file sufficient.

## SEE ALSO

brlcad 1, pixhist 1, bwstat 1, pix 5.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.